/**
 * sanloop: Component: Image
 * 
 * @author H A N D
 * @version 1.0.1
 */

.image__markup {
	position: relative;
	padding-top: calc( 100 / var( --image-ratio, var( --ratio ) ) * 1% );
	border-radius: var( --border-radius );

	overflow: hidden;
}

	.image__markup > img {
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		object-fit: cover;
	}



.image__caption {
	margin-top: calc( var( --grid-row-gap ) * 0.5 );
}